Imports UTS_Core.UTSModule.Station

Public Class GridNodeAddCommand : Implements ICommand

    Private ReadOnly grd As StationPlanGrid
    Private ReadOnly startMoveRow As Integer
    Private ReadOnly moveRows As Integer

    Sub New(grd As StationPlanGrid, startMoveRow As Integer, moveRows As Integer)
        Me.grd = grd
        Me.startMoveRow = startMoveRow
        Me.moveRows = moveRows
    End Sub

    Public Sub Redo() Implements ICommand.Redo
        grd.NodeAddCommand(startMoveRow, moveRows)
    End Sub

    Public Sub Undo() Implements ICommand.Undo
        grd.NodeDeleteCommand(startMoveRow, moveRows)
    End Sub
End Class
